class 'l_09_doctor_ho' (LevelEventHandler)

function l_09_doctor_ho:__init(name)
	LevelEventHandler.__init(self, name)
	
	self:getnerateTasks()
	
	-- animations ----------------------------------
	
	
	-- link scenes ---------------------------------
	
	
	-- main logic ----------------------------------
	ObjectOpacity('layer_door_open_right', 0)
	ObjectOpacity('layer_cover_elefant',   0)
	ObjectOpacity('Elephant',              0)
	ObjectOpacity('LetterK',               0)
	ObjectOpacity('Tooth',                 0)
    ObjectOpacity('RedFlamingo',           0)
    ObjectOpacity('Foam',                  0)
    ObjectOpacity('Sunbeam',               0)
    ObjectOpacity('Pearl',                 0)
    
    ObjectOpacity('layer_shell_open',     0)
	ObjectOpacity('layer_door_open_left', 0)
    ObjectOpacity('layer_flamingo',       0)
    ObjectOpacity('layer_mirror_2',       0)
    ObjectOpacity('layer_mirror_3',       0)
    ObjectOpacity('layer_mirror_shine',   0)
    ---------------
    
    ObjectVisible('area_click_mirror_rotate', false)
	---------------
	
	play_field:IgnoreOnTestPoint('layer_mirror_shine')
	---------------
	
	local function on_click_door_right(e)
	    ObjectVisible(e.target, false)
	    
	    if e.save then
	        ObjectOpacity('layer_door_open_right', 1)
	        ObjectOpacity('layer_cover_elefant',   1)
	        ObjectOpacity('Elephant',              1)
	        ObjectOpacity('LetterK',               1)
	        
	        SetTaskActionObject('Elephant', false)
            SetTaskActionObject('LetterK',  false)
	    else
	        local time = 0.5
	        ObjectOpacity('layer_door_open_right', 1, time)
	        ObjectOpacity('layer_cover_elefant',   1, time)
	        ObjectOpacity('Elephant',              1, time)
	        ObjectOpacity('LetterK',               1, time)
	        
	        if not self.sound_click_door then
	            self.sound_click_door = MakeSoundEntity('09_ho_click_doors')
	        end
	        
	        self.sound_click_door:StopSound()
	        self.sound_click_door:PlaySound(false)
	        
	        self.timer:Add( function()
	                            SetTaskActionObject('Elephant', false)
	                            SetTaskActionObject('LetterK',  false)
	                        end,
	                        time)
	    end
	end
	---------------
	
	local function on_click_door_left(e)
	    ObjectVisible(e.target, false)
	    
	    if e.save then
	        ObjectOpacity('layer_door_open_left', 1)
	        ObjectOpacity('layer_flamingo',       1)
	        ObjectOpacity('Tooth',                1)
	        
	        SetTaskActionObject('Tooth', false)
	    else
	        local time = 0.5
	        ObjectOpacity('layer_door_open_left', 1, time)
	        ObjectOpacity('layer_flamingo',       1, time)
	        ObjectOpacity('Tooth',                1, time)
	        
	        if not self.sound_click_door then
	            self.sound_click_door = MakeSoundEntity('09_ho_click_doors')
	        end
	        
	        self.sound_click_door:StopSound()
	        self.sound_click_door:PlaySound(false)
	        
	        self.timer:Add( function()
	                            SetTaskActionObject('Tooth', false)
	                        end,
	                        time)
	    end
	end
	---------------
	
	local function on_get_shaving_brush(e)
	end
	---------------
	
	local function on_drop_shaving_brush(e)
	end
	---------------
	
	local function on_drop_target_shaving_brush(e)
	    ObjectVisible('area_get_shaving_brush',  false)
	    ObjectVisible('area_drop_shaving_brush', false)
	    
	    if e.save then
	        ObjectOpacity(e.objName, 0)
	        ObjectOpacity('Foam', 1)
	        SetTaskActionObject('Foam', false)
	    else
	        local time = 0.5
	        ObjectOpacity(e.objName, 0, time)
	        ObjectOpacity('Foam',    1, time)
	        
	        MakeSoundEntity('09_ho_drop_target_shaving_brush'):PlaySound(false)
	        
	        self.timer:Add( function()
	                            SetTaskActionObject('Foam', false)
	                        end,
	                        time)
	    end
	end
	---------------
	
	local function on_get_pomade(e)
	end
	---------------
	
	local function on_drop_pomade(e)
	end
	---------------
	
	local function on_drop_target_pomade(e)
	    ObjectVisible('area_get_pomade',  false)
	    ObjectVisible('area_drop_pomade', false)
	    
	    if e.save then
	        ObjectOpacity('layer_pomade',   0)
	        ObjectOpacity('layer_flamingo', 0)
	        ObjectOpacity('RedFlamingo',    1)
	        
	        SetTaskActionObject('RedFlamingo', false)
	    else
	        local time = 0.5
	        ObjectOpacity('layer_pomade',   0, time)
	        ObjectOpacity('layer_flamingo', 0, time)
	        ObjectOpacity('RedFlamingo',    1, time)
	        
	        self.timer:Add( function()
	                            SetTaskActionObject('RedFlamingo', false)
	                        end,
	                        time)
	    end
	end
	---------------
	
	local function on_click_mirror(e)
	    ObjectVisible(e.target, false)
	    
	    if e.save then
	        ObjectOpacity('layer_mirror_1', 0)
	        ObjectOpacity('layer_mirror_2', 1)
	        ObjectVisible('area_click_mirror_rotate', true)
	    else
	        local time = 0.5
	        ObjectOpacity('layer_mirror_1', 0, time)
	        ObjectOpacity('layer_mirror_2', 1, time)
	        
	        MakeSoundEntity('09_ho_move_mirror'):PlaySound(false)
	        
	        self.timer:Add( function()
                                ObjectVisible('area_click_mirror_rotate', true)
                            end,
                            time)
	    end
	end
	---------------
	
	local function on_click_mirror_rotate(e)
	    ObjectVisible(e.target, false)
	    
	    local effTime = 1
	    local eff = CreateAnimationEffector()
	    eff:AttachTo(Object('Sunbeam'))
	    eff:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
	    eff:SetKey(_TRACK_O, 0,               1)
	    eff:SetKey(_TRACK_O, effTime * 0.5, 0.6)
	    eff:SetKey(_TRACK_O, effTime,         1)
	    
	    local eff2 = CreateAnimationEffector()
	    eff2:AttachTo(Object('layer_mirror_shine'))
	    eff2:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
	    eff2:SetKey(_TRACK_O, 0,               1)
	    eff2:SetKey(_TRACK_O, effTime * 0.5, 0.95)
	    eff2:SetKey(_TRACK_O, effTime,         1)
	    
	    if e.save then
	        ObjectOpacity('layer_mirror_2',     0)
	        ObjectOpacity('layer_eyes_open',    0)
	        ObjectOpacity('layer_mirror_3',     1)
	        ObjectOpacity('layer_mirror_shine', 1)
	        ObjectOpacity('Sunbeam',            1)
	        
	        SetTaskActionObject('Sunbeam', false)
	        eff:Play()
	    else
	        local time = 0.5
	        ObjectOpacity('layer_mirror_2', 0, time)
	        ObjectOpacity('layer_mirror_3', 1, time)
	        
	        MakeSoundEntity('09_ho_rotate_mirror'):PlaySound(false)
	        
	        self.timer:Add( function()
                                local shineAppearingTime = 0.5
                                ObjectOpacity('layer_mirror_shine', 1, shineAppearingTime)
                                ObjectOpacity('Sunbeam',            1, shineAppearingTime)
                                ObjectOpacity('layer_eyes_open',    0, shineAppearingTime)
                                
                                self.timer:Add( function()
                                                    SetTaskActionObject('Sunbeam', false)
                                                    eff:Play()
                                                    eff2:Play()
                                                end,
                                                shineAppearingTime)
                            end,
                            time)
	    end
	end
	---------------
	
	local function on_get_knife(e)
	end
	---------------
	
	local function on_drop_knife(e)
	end
	---------------
	
	local function on_drop_target_knife(e)
	    ObjectVisible('area_get_knife',  false)
	    ObjectVisible('area_drop_knife', false)
	    
	    if e.save then
	        ObjectOpacity('layer_knife',       0)
	        ObjectOpacity('layer_shell_close', 0)
	        ObjectOpacity('layer_shell_open',  1)
	        ObjectOpacity('Pearl',             1)
	        
	        SetTaskActionObject('Pearl', false)
	    else
	        local time = 0.5
	        ObjectOpacity('layer_knife',       0, time)
	        ObjectOpacity('layer_shell_close', 0, time)
	        ObjectOpacity('layer_shell_open',  1, time)
	        ObjectOpacity('Pearl',             1, time)
	        
	        self.timer:Add( function()
	                            SetTaskActionObject('Pearl', false)
	                        end,
	                        time)
	    end
	end
	---------------
	
	if InteractiveHelp.IsTipShown('HO_ITEM') then
	    InteractiveHelp.ShowTip('HO_INTERACTIVE')
	else
	    InteractiveHelp.ShowTip('HO_ITEM')
    end
	
	RegisterActiveObject('area_click_door_right', on_click_door_right)
	RegisterActiveObject('area_click_door_left',  on_click_door_left )
	RegisterDragObject('layer_shaving_brush',
                        'area_get_shaving_brush',
                        'area_drop_shaving_brush',
                        on_get_shaving_brush,
                        on_drop_shaving_brush,
                        on_drop_target_shaving_brush, nil, true)
    
    RegisterDragObject('layer_pomade', 'area_get_pomade', 'area_drop_pomade', on_get_pomade, on_drop_pomade, on_drop_target_pomade, nil, true)
    RegisterActiveObject('area_click_mirror',        on_click_mirror)
    RegisterActiveObject('area_click_mirror_rotate', on_click_mirror_rotate)
    RegisterDragObject('layer_knife', 'area_get_knife', 'area_drop_knife', on_get_knife, on_drop_knife, on_drop_target_knife, nil, true)
                        
    if self:GetAdditionalLogic():GetDealIndex() == 1 then
        ObjectVisible('area_get_pomade',  false)
        ObjectVisible('area_drop_pomade', false)
        ObjectVisible('area_get_knife',   false)
        ObjectVisible('area_drop_knife',  false)
    end
end

function l_09_doctor_ho:getnerateTasks()
    local randomTasks = {
                         'Apple',                'Bell',                 'BrassKnuckles',        'Burdock',              'Card',
                         'CoffeeBeans',          'CoffeeMill',           'Crown',
                         'Dart',                 'Dog',                  'Domino',
                         'Dragonfly',            'Eyeglasses',
                         'GrapeLeaves',          'Heart',
                         'Inkpot',               'Jellyfish',            'Key',
                         'Owl',
                         'Palm',                 'Pawn',                 
                         'Peas',                 'Pendant',              'Pin',
                         'Seal',                 'Ship',
                         'Skates',                                
                         'Two',                  'Umbrella',
                         'Violin',               'Weight'
                        }

    local actionTasks = {'Elephant', 'LetterK', 'Tooth', 'Foam', 'RedFlamingo', 'Sunbeam', 'Pearl'
                        }
                        
    local deal1Tasks = {'Elephant', 'LetterK', 'Tooth', 'Foam', 'Sunbeam', 'Star'
                       }

    local deal2Tasks = {'Belt', 'Pearl', 'RedFlamingo', 'Ladybird'
                       }


    DefineToolFindOrder('09_elefant', '09_belt')
    RegisterTasks('HO_09_', randomTasks, actionTasks, deal1Tasks, deal2Tasks)
end

function l_09_doctor_ho:OnUpdate(dt)
end

function l_09_doctor_ho:OnAllItemsFound()
end

function l_09_doctor_ho:OnObjectMouseEnter(object)
end

function l_09_doctor_ho:OnObjectMouseLeave(object)
end

function l_09_doctor_ho:OnScreenObjectMouseDown(object, key)
end

function l_09_doctor_ho:OnObjectMouseDownProcessed(is_wrong_click)
end

function l_09_doctor_ho:OnMouseMove(previous_pos, current_pos)
end

function l_09_doctor_ho:OnObjectMouseUp(object)
end

function l_09_doctor_ho:OnObjectFound(object)
end

function l_09_doctor_ho:OnToolFound(tool)
end

function l_09_doctor_ho:OnToolApply(tool, object)
end

function l_09_doctor_ho:OnToolAddToInventory(tool)
end

function l_09_doctor_ho:OnObjectReachPanel(object)
end

function l_09_doctor_ho:OnButtonPress(title)
end

function l_09_doctor_ho:OnSetTool(tool)
end

function l_09_doctor_ho:OnLoaded()
end

function l_09_doctor_ho:OnDestroy()
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function l_09_doctor_ho:LoadData(screen)
	local anim
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,50,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Apple.png',0,0,141,91,1,0)
	anim:SetHotSpot(70,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Apple',anim,370,621,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Bell.png',0,0,66,82,1,0)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell',anim,533,87,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Belt.png',0,0,128,159,1,0)
	anim:SetHotSpot(64,79)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Belt',anim,448,267,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/BrassKnuckles.png',0,0,94,96,1,0)
	anim:SetHotSpot(47,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BrassKnuckles',anim,560,286,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Burdock.png',0,0,72,62,1,0)
	anim:SetHotSpot(36,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Burdock',anim,526,356,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Card.png',0,0,129,142,1,0)
	anim:SetHotSpot(64,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Card',anim,617,126,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/CoffeeBeans.png',0,0,72,54,1,0)
	anim:SetHotSpot(36,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CoffeeBeans',anim,317,454,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/CoffeeMill.png',0,0,61,88,1,0)
	anim:SetHotSpot(30,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CoffeeMill',anim,207,516,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Crown.png',0,0,88,82,1,0)
	anim:SetHotSpot(44,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crown',anim,972,355,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Dart.png',0,0,224,116,1,0)
	anim:SetHotSpot(112,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dart',anim,118,60,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Dog.png',0,0,129,45,1,0)
	anim:SetHotSpot(64,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dog',anim,359,21,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Domino.png',0,0,37,68,1,0)
	anim:SetHotSpot(18,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Domino',anim,354,277,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Dragonfly.png',0,0,132,35,1,0)
	anim:SetHotSpot(66,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dragonfly',anim,609,241,61,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Elephant.png',0,0,82,76,1,0)
	anim:SetHotSpot(41,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Elephant',anim,818,235,61,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Eyeglasses.png',0,0,129,88,1,0)
	anim:SetHotSpot(64,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Eyeglasses',anim,355,536,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Foam.png',0,0,118,130,1,0)
	anim:SetHotSpot(59,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Foam',anim,819,567,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/GrapeLeaves.png',0,0,77,109,1,0)
	anim:SetHotSpot(38,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('GrapeLeaves',anim,735,193,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Heart.png',0,0,72,58,1,0)
	anim:SetHotSpot(36,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart',anim,451,530,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Inkpot.png',0,0,73,130,1,0)
	anim:SetHotSpot(36,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Inkpot',anim,491,434,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Jellyfish.png',0,0,92,154,1,0)
	anim:SetHotSpot(46,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Jellyfish',anim,53,387,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Key.png',0,0,52,120,1,0)
	anim:SetHotSpot(26,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key',anim,239,61,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Ladybird.png',0,0,42,40,1,0)
	anim:SetHotSpot(21,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ladybird',anim,778,615,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/LetterK.png',0,0,41,59,1,0)
	anim:SetHotSpot(20,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('LetterK',anim,743,226,61,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Owl.png',0,0,80,117,1,0)
	anim:SetHotSpot(40,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Owl',anim,983,59,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Palm.png',0,0,93,62,1,0)
	anim:SetHotSpot(46,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Palm',anim,698,602,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Pawn.png',0,0,71,90,1,0)
	anim:SetHotSpot(35,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pawn',anim,730,117,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Pearl.png',0,0,26,22,1,0)
	anim:SetHotSpot(13,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pearl',anim,534,581,53,0,0.7,0.7)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Peas.png',0,0,131,47,1,0)
	anim:SetHotSpot(65,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Peas',anim,587,24,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Pendant.png',0,0,58,121,1,0)
	anim:SetHotSpot(29,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pendant',anim,698,326,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Pin.png',0,0,108,104,1,0)
	anim:SetHotSpot(54,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pin',anim,192,187,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/RedFlamingo.png',0,0,42,94,1,0)
	anim:SetHotSpot(21,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('RedFlamingo',anim,149,415,62,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Seal.png',0,0,81,98,1,0)
	anim:SetHotSpot(40,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Seal',anim,189,305,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Ship.png',0,0,75,86,1,0)
	anim:SetHotSpot(37,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ship',anim,811,136,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Skates.png',0,0,80,64,1,0)
	anim:SetHotSpot(40,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Skates',anim,822,31,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Star.png',0,0,83,112,1,0)
	anim:SetHotSpot(41,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Star',anim,257,257,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Sunbeam.png',0,0,58,64,1,0)
	anim:SetHotSpot(29,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sunbeam',anim,834,375,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Tooth.png',0,0,46,32,1,0)
	anim:SetHotSpot(23,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tooth',anim,221,447,61,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Two.png',0,0,86,64,1,0)
	anim:SetHotSpot(43,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Two',anim,370,175,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Umbrella.png',0,0,91,79,1,0)
	anim:SetHotSpot(45,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Umbrella',anim,626,434,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Violin.png',0,0,66,156,1,0)
	anim:SetHotSpot(33,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Violin',anim,878,392,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/items/Weight.png',0,0,54,130,1,0)
	anim:SetHotSpot(27,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Weight',anim,761,394,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_door_open_left.png',0,0,195,165,1,0)
	anim:SetHotSpot(97,82)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_door_open_left',anim,198,420,60,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_door_open_right.png',0,0,257,176,1,0)
	anim:SetHotSpot(128,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_door_open_right',anim,823,256,60,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_door_right',anim,838,252,100,3,20,15)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_door_left',anim,199,417,100,3,15,13)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_cover_elefant.png',0,0,85,68,1,0)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_cover_elefant',anim,837,245,62,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_flamingo.png',0,0,37,88,1,0)
	anim:SetHotSpot(18,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_flamingo',anim,148,415,61,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_shaving_brush.png',0,0,52,90,1,0)
	anim:SetHotSpot(26,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_shaving_brush',anim,723,470,70,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_get_shaving_brush',anim,716,467,100,0,0.58,0.85)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_drop_shaving_brush',anim,818,591,100,0,1,0.85)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_pomade.png',0,0,72,128,1,0)
	anim:SetHotSpot(6,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_pomade',anim,545,132,70,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_get_pomade',anim,559,163,100,0,0.75,1.04)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_drop_pomade',anim,145,406,100,0,0.75,1.04)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_mirror_1.png',0,0,94,186,1,0)
	anim:SetHotSpot(47,93)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_mirror_1',anim,469,95,70,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_mirror_2.png',0,0,138,186,1,0)
	anim:SetHotSpot(69,93)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_mirror_2',anim,460,98,71,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_mirror_3.png',0,0,210,200,1,0)
	anim:SetHotSpot(105,100)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_mirror_3',anim,431,98,72,0,0.94,0.94)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_mirror_shine.png',0,0,568,108,1,0)
	anim:SetHotSpot(32,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_mirror_shine',anim,429,55,80,38,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_mirror',anim,454,85,100,0,0.81,1.36)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_mirror_rotate',anim,454,85,100,0,0.81,1.36)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_domino.png',0,0,20,69,1,0)
	anim:SetHotSpot(10,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_domino',anim,367,273,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_peas.png',0,0,66,25,1,0)
	anim:SetHotSpot(33,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_peas',anim,550,40,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_card.png',0,0,74,56,1,0)
	anim:SetHotSpot(37,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_card',anim,614,80,53,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_brass_knuckles.png',0,0,20,40,1,0)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_brass_knuckles',anim,601,265,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_key.png',0,0,29,22,1,0)
	anim:SetHotSpot(14,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_key',anim,241,13,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_weight.png',0,0,25,35,1,0)
	anim:SetHotSpot(12,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_weight',anim,755,328,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_apple.png',0,0,75,31,1,0)
	anim:SetHotSpot(37,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_apple',anim,356,583,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_umbrella.png',0,0,52,24,1,0)
	anim:SetHotSpot(26,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_umbrella',anim,636,402,100,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_star.png',0,0,26,28,1,0)
	anim:SetHotSpot(13,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_star',anim,259,205,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_pawn.png',0,0,20,38,1,0)
	anim:SetHotSpot(10,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_pawn',anim,760,144,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_violin.png',0,0,42,107,1,0)
	anim:SetHotSpot(21,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_violin',anim,896,422,60,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_soap.png',0,0,50,32,1,0)
	anim:SetHotSpot(25,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_soap',anim,830,588,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_owl.png',0,0,28,20,1,0)
	anim:SetHotSpot(14,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_owl',anim,988,7,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_seal.png',0,0,34,17,1,0)
	anim:SetHotSpot(17,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_seal',anim,208,261,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_over_belt.png',0,0,78,65,1,0)
	anim:SetHotSpot(39,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_belt',anim,423,222,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_shell_close.png',0,0,102,74,1,0)
	anim:SetHotSpot(51,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_shell_close',anim,544,582,51,0,0.7,0.7)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_shell_open.png',0,0,104,88,1,0)
	anim:SetHotSpot(52,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_shell_open',anim,544,576,52,0,0.7,0.7)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_get_knife',anim,889,525,100,3,0.55,1.45)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_drop_knife',anim,530,579,100,0,0.7,0.7)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_knife.png',0,0,60,194,1,0)
	anim:SetHotSpot(22,158)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_knife',anim,877,587,63,3,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/09_doctor/ho/layers/layer_eyes_open.png',0,0,82,80,1,0)
	anim:SetHotSpot(41,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_eyes_open',anim,836,367,70,0,0.66,0.66)
	
end
-- CLEAR_ON_SAVE_END
